<p class="topic">
<a id="Select_Controls_to_Add"> </a>
Select Controls to Add
</p>

<p class="text">
Select an OID from the list and click OK. The following table describes the OIDs listed in the UI by default:
</p>
<br />
<p class="caption">
<a id="LDAP_Control_OIDs"> </a>
Table  1	&nbsp;&nbsp; LDAP Control OIDs &nbsp;

</p>

<br/>
<table width="90%" border="1" cellspacing="0" cellpadding="4">
<tr bgcolor="#CCCCCC" align="left" valign="top">
<th valign="top" align="left">
<p class="tablehead">
OID
</p>
</th>
<th valign="top" align="left">
<p class="tablehead">
LDAP Control Description
</p>
</th>

</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.4
</p></td>
<td valign="top">
<p class="tabletext">
Password expired notification control.
</p><p class="tabletext">
This control notifies a client application that their password has expired.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.5
</p></td>
<td valign="top">
<p class="tabletext">
Password expiring notification control.
</p><p class="tabletext">
This control notifies a client application that their password will expire in a given amount of time.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.16
</p></td>
<td valign="top">
<p class="tabletext">
Authentication request control.
</p><p class="tabletext">
This control can be provided with a bind request to indicate to the server that an authentication response control is desired with the bind response.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.15
</p></td>
<td valign="top">
<p class="tabletext">
Authentication response control.
</p><p class="tabletext">
This control is returned with the client application bind request to provide LDAP clients with the DN and authentication method used (useful when SASL or certificate is employed).
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.17
</p></td>
<td valign="top">
<p class="tabletext">
Real attribute only request control.
</p><p class="tabletext">
This control requests that the server return only attributes that are truly contained in the entries returned and that the directory does not try to resolve virtual attributes.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.19
</p></td>
<td valign="top">
<p class="tabletext">
Virtual attributes only request control.
</p><p class="tabletext">
This control requests that the server return only attributes generated by the roles and class of service features.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
1.3.6.1.4.1.42.2.27.8.5.1
</p></td>
<td valign="top">
<p class="tabletext">
Password policy request control.
</p>
</td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
1.3.6.1.4.1.42.2.27.9.5.2
</p></td>
<td valign="top">
<p class="tabletext">
Get effective rights request control.
</p>
</td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.14
</p></td>
<td valign="top">
<p class="tabletext">
Search on specific database control.
</p><p class="tabletext">
This control can be used with search operations to specify that the search must be done on the database which is named in the control.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.20
</p></td>
<td valign="top">
<p class="tabletext">
Extended version of Search on specific database control.
</p><p class="tabletext">
This control can be used when the database name is supplied or not supplied.  When it is not supplied,it retrieves the database name from the base of the search.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.12
</p></td>
<td valign="top">
<p class="tabletext">
Proxied authorization control.
</p><p class="tabletext">
This control allows the client to assume the identity of another entry for the duration of a request.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.18
</p></td>
<td valign="top">
<p class="tabletext">
Proxied authorization (new "version 2" specification) control.
</p><p class="tabletext">
Allows the client to assume another identity for the duration of a request
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
2.16.840.1.113730.3.4.13
</p></td>
<td valign="top">
<p class="tabletext">
Replication update information control.
</p><p class="tabletext">
This control carries the universally unique identifier (UUID) and change sequence number (CSN) of a replicated operation.
</p></td>
  
</tr>

</table>
